--- a/docker-ce.spec	2019-02-23 06:29:15.634696865 +0300
+++ b/docker-ce.spec	2019-02-23 06:29:15.636696841 +0300
@@ -123,8 +123,8 @@
 install -p -m 644 %{build_dir_engine}/contrib/syntax/vim/syntax/dockerfile.vim %{buildroot}%{_datadir}/vim/vimfiles/syntax
 
 # install udev rules
-install -d %{buildroot}%{_sysconfdir}/udev/rules.d
-install -p %{build_dir_engine}/contrib/udev/80-docker.rules %{buildroot}%{_sysconfdir}/udev/rules.d
+install -d %{buildroot}%_udevrulesdir
+install -p %{build_dir_engine}/contrib/udev/80-docker.rules %{buildroot}%_udevrulesdir
 
 # install storage dir
 install -d %{buildroot}%{_sharedstatedir}/%{repo_engine}
@@ -171,7 +171,7 @@
 %{_datadir}/zsh/site-functions/_docker
 %{_datadir}/fish/completions/docker.fish
 %dir %{_sharedstatedir}/docker
-%{_sysconfdir}/udev/rules.d/80-docker.rules
+%_udevrulesdir/80-docker.rules
 %{_datadir}/vim/vimfiles/doc/dockerfile.txt
 %{_datadir}/vim/vimfiles/ftdetect/dockerfile.vim
 %{_datadir}/vim/vimfiles/syntax/dockerfile.vim
--- a/fbterm.spec	2019-02-23 06:29:17.424675002 +0300
+++ b/fbterm.spec	2019-02-23 06:29:17.427674965 +0300
@@ -88,6 +88,9 @@
 KERNEL=="fb[0-9]*", SUBSYSTEM=="graphics", MODE="0666"
 EOF
 %endif
+# sysconf/udev policy - /etc is for user
+mkdir -p %buildroot%_udevrulesdir/
+mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%_udevrulesdir/
 
 %if 0%{?fedora} >= 9
 %post
--- a/foo2zjs.spec	2019-02-23 06:29:19.604648377 +0300
+++ b/foo2zjs.spec	2019-02-23 06:29:19.611648291 +0300
@@ -186,7 +186,7 @@
 # need to prepare these by hand
 mkdir -p %buildroot{/bin,%_bindir,%_sbindir,%_datadir/cups/model,%_datadir/ppd/foo2zjs}
 mkdir -p %buildroot%_datadir/foomatic/db/source/{driver,opt,printer}
-mkdir -p %buildroot%_sysconfdir/udev/rules.d
+mkdir -p %buildroot%_udevrulesdir
 %make \
 	DESTDIR=%buildroot \
 	PREFIX=%buildroot%_usr \
@@ -202,7 +202,7 @@
 %__install -pD -m644 %SOURCE5 %buildroot%_niconsdir/hplj1020.png
 %__install -pD -m644 %SOURCE6 %buildroot%_liconsdir/hplj1020.png
 
-%__install -pD -m644 %SOURCE7 %buildroot%_sysconfdir/udev/rules.d/11-hplj10xx.rules
+%__install -pD -m644 %SOURCE7 %buildroot%_udevrulesdir/11-hplj10xx.rules
 
 #ln -s %_datadir/ppd/foo2zjs %buildroot%_datadir/cups/model/foo2zjs-ppd
 
@@ -232,7 +232,7 @@
 /bin/*
 %_bindir/*
 %_sbindir/hplj*
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 %dir %_localstatedir/foo2zjs/
 %_localstatedir/foo2zjs/*
 %_localstatedir/foo2hiperc/*
--- a/gkrellm-radio.spec	2019-02-23 06:29:22.291615558 +0300
+++ b/gkrellm-radio.spec	2019-02-23 06:29:22.293615534 +0300
@@ -41,11 +41,11 @@
 mkdir -p %buildroot%_libdir/gkrellm2/plugins
 %make_install install enable_nls=1 PLUGIN_DIR=%buildroot%_libdir/gkrellm2/plugins INSTALL_PREFIX=%buildroot LOCALEDIR=%_datadir/locale
 %find_lang %name
-install -m 644 -pD %SOURCE1 %buildroot%_sysconfdir/udev/rules.d/20-radio.rules
+install -m 644 -pD %SOURCE1 %buildroot%_udevrulesdir/20-radio.rules
 
 %files -f %name.lang
 %doc CHANGES README lirc.example
 %_libdir/gkrellm2/plugins/%plugin.so
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 
 %changelog
--- a/hdapsd.spec	2019-02-23 06:29:23.611599437 +0300
+++ b/hdapsd.spec	2019-02-23 06:29:23.612599424 +0300
@@ -56,12 +56,12 @@
 install -pDm755 src/%name %buildroot%_sbindir/%name
 install -pDm755 %SOURCE1 %buildroot%_initdir/%name
 install -pDm644 %SOURCE2 %buildroot%_sysconfdir/sysconfig/%name
-install -pDm644 %SOURCE3 %buildroot%_sysconfdir/udev/rules.d/51-hdaps.rules
+install -pDm644 %SOURCE3 %buildroot%_udevrulesdir/51-hdaps.rules
 
 %files
 %_sbindir/*
 %_initdir/%name
 %config(noreplace) %_sysconfdir/sysconfig/%name
-%config(noreplace) %_sysconfdir/udev/rules.d/51-hdaps.rules
+%config(noreplace) %_udevrulesdir/51-hdaps.rules
 
 %changelog
--- a/hp4600-scan.spec	2019-02-23 06:29:23.721598092 +0300
+++ b/hp4600-scan.spec	2019-02-23 06:29:23.723598068 +0300
@@ -33,7 +33,7 @@
 
 %install
 mkdir -p %buildroot/usr/bin
-install -pDm644 %SOURCE1 %buildroot%_sysconfdir/udev/rules.d/74-hp4600-scan.rules
+install -pDm644 %SOURCE1 %buildroot%_udevrulesdir/74-hp4600-scan.rules
 install -p hp4600scanfullfile %buildroot/usr/bin
 install -p fixhp4600output %buildroot/usr/bin
 install -p hp4600onestep %buildroot/usr/bin
@@ -41,6 +41,6 @@
 
 %files
 %_bindir/*
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 
 %changelog
--- a/isight-firmware-tools.spec	2019-02-23 06:29:24.254591582 +0300
+++ b/isight-firmware-tools.spec	2019-02-23 06:29:24.255591570 +0300
@@ -33,10 +33,13 @@
 %find_lang %name
 
 rm -rf %buildroot%_datadir/doc/isight-firmware-tools/
+# sysconf/udev policy - /etc is for user
+mkdir -p %buildroot%_udevrulesdir/
+mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%_udevrulesdir/
 
 %files -f %name.lang
 %doc AUTHORS ChangeLog HOWTO NEWS README
-%_sysconfdir/udev/rules.d/isight.rules
+%_udevrulesdir/isight.rules
 /lib/udev/ift-load
 %_bindir/*
 %_infodir/*
--- a/kino.spec	2019-02-23 06:29:31.675500946 +0300
+++ b/kino.spec	2019-02-23 06:29:31.679500896 +0300
@@ -111,6 +111,9 @@
 	--add-category=Video \
 	--add-category=AudioVideoEditing \
 	%buildroot%_desktopdir/Kino.desktop
+# sysconf/udev policy - /etc is for user
+mkdir -p %buildroot%_udevrulesdir/
+mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%_udevrulesdir/
 
 %post
 UUU=%_sbindir/update-usb.usermap
@@ -133,7 +136,7 @@
 # NB: *.so belong to kino package too, these are plugins!
 %_libdir/kino-gtk2/*.so*
 %_datadir/mime/packages/*.xml
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 %dir %_sysconfdir/kino-scripts/
 %doc AUTHORS BUGS ChangeLog NEWS README* TODO
 
--- a/kqemu.spec	2019-02-23 06:29:31.822499150 +0300
+++ b/kqemu.spec	2019-02-23 06:29:31.825499114 +0300
@@ -65,7 +65,7 @@
 install -Dp %name-extra/%name.control %buildroot%_controldir/%name
 install -Dp %name-extra/%name.init %buildroot%_initdir/%name
 install -Dp -m644 %name-extra/%name.rules \
-	%buildroot%_sysconfdir/udev/rules.d/90-%name.rules
+	%buildroot%_udevrulesdir/90-%name.rules
 
 %pre common
 /usr/sbin/groupadd -r -f kqemu
@@ -88,7 +88,7 @@
 %files common
 %_controldir/%name
 %_initdir/%name
-%config %_sysconfdir/udev/rules.d/90-%name.rules
+%config %_udevrulesdir/90-%name.rules
 %doc %name-extra/README.ALT
 %doc kernel-source-%name-%version/LICENSE
 %doc kernel-source-%name-%version/Changelog
--- a/kvm-on-demand.spec	2019-02-23 06:29:32.137495302 +0300
+++ b/kvm-on-demand.spec	2019-02-23 06:29:32.139495278 +0300
@@ -30,13 +30,13 @@
 %install
 install -pD -m 0755 %name.sh %buildroot/lib/udev/%name
 install -d -m 0755 %buildroot%_sysconfdir/{modprobe,udev/rules}.d
-install -p -m 0644 *.rules %buildroot%_sysconfdir/udev/rules.d/
+install -p -m 0644 *.rules %buildroot%_udevrulesdir/
 install -p -m 0644 *.conf %buildroot%_sysconfdir/modprobe.d/
 
 
 %files
 %attr(0744,root,root) /lib/udev/*
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 %config(noreplace) %_sysconfdir/modprobe.d/*
 
 
--- a/lbuscd.spec	2019-02-23 06:29:32.281493544 +0300
+++ b/lbuscd.spec	2019-02-23 06:29:32.283493520 +0300
@@ -46,12 +46,12 @@
 %makeinstall_std bindir=%_sbindir
 install -pDm755 %SOURCE1 %buildroot/lib/udev/add_fstab_entry
 install -pDm755 %SOURCE2 %buildroot/lib/udev/remove_fstab_entry
-install -pDm644 %SOURCE3 %buildroot%_sysconfdir/udev/rules.d/88-ltsp.rules
+install -pDm644 %SOURCE3 %buildroot%_udevrulesdir/88-ltsp.rules
 
 %files
 %doc README
 %_sbindir/*
 /lib/udev/*
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 
 %changelog
--- a/libfprint.spec	2019-02-23 06:29:33.729475858 +0300
+++ b/libfprint.spec	2019-02-23 06:29:33.731475834 +0300
@@ -51,11 +51,14 @@
 
 %install
 %makeinstall_std
+# sysconf/udev policy - /etc is for user
+mkdir -p %buildroot%_udevrulesdir/
+mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%_udevrulesdir/
 
 %files
 %doc COPYING INSTALL NEWS TODO THANKS AUTHORS README
 %_libdir/*.so.*
-%_sysconfdir/udev/rules.d/60-fprint-autosuspend.rules
+%_udevrulesdir/60-fprint-autosuspend.rules
 
 %files devel
 %doc HACKING doc/html
--- a/libifp.spec	2019-02-23 06:29:34.286469056 +0300
+++ b/libifp.spec	2019-02-23 06:29:34.289469018 +0300
@@ -54,7 +54,7 @@
 make install DESTDIR=$RPM_BUILD_ROOT
 find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;
 install -D -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/sbin/libifp-hotplug
-install -D -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/10-libifp.rules
+install -D -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%_udevrulesdir/10-libifp.rules
 # kill rpath
 for i in `find %buildroot{%_bindir,%_libdir,/usr/libexec,/usr/lib,/usr/sbin} -type f -perm -111`; do
 	chrpath -d $i ||:
@@ -65,7 +65,7 @@
 %{_bindir}/*
 %{_libdir}/*.so.*
 /sbin/*
-%{_sysconfdir}/udev/rules.d/*.rules
+%_udevrulesdir/*.rules
 
 %files devel
 %{_includedir}/*.h
--- a/madwimax.spec	2019-02-23 06:29:38.510417465 +0300
+++ b/madwimax.spec	2019-02-23 06:29:38.512417440 +0300
@@ -61,7 +61,7 @@
 
 %install
 %makeinstall_std
-rename z60 60 %buildroot%_sysconfdir/udev/rules.d/z60*.rules
+rename z60 60 %buildroot%_udevrulesdir/z60*.rules
 
 install -d -m 755 %buildroot%_sysconfdir/net/ifaces/
 tar xf %SOURCE1 -C %buildroot%_sysconfdir/net/ifaces/
@@ -72,13 +72,13 @@
 install -m 755 %SOURCE3 %buildroot/lib/udev/%name
 %__subst "
 	s|RUN+=\"%_sbindir/madwimax|RUN+=\"/lib/udev/%name|
-	" %buildroot%_sysconfdir/udev/rules.d/*.rules
+	" %buildroot%_udevrulesdir/*.rules
 
 %files
 %doc AUTHORS ChangeLog INSTALL.TXT NEWS README THANKS TODO scripts/events/*.sh*
 %_sysconfdir/%name
 %config(noreplace) %_sysconfdir/sysconfig/%name
-%_sysconfdir/udev/rules.d/*.rules
+%_udevrulesdir/*.rules
 %_sysconfdir/net/ifaces/wimax0
 /lib/udev/%name
 %_sbindir/madwimax
--- a/mbm-gpsd.spec	2019-02-23 06:29:39.389406730 +0300
+++ b/mbm-gpsd.spec	2019-02-23 06:29:39.390406717 +0300
@@ -28,6 +28,9 @@
 
 %install
 %makeinstall localstatedir=%buildroot/var DBUS_SYS_DIR=%buildroot/etc/dbus-1/system.d
+# sysconf/udev policy - /etc is for user
+mkdir -p %buildroot%_udevrulesdir/
+mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%_udevrulesdir/
 
 %post
 
@@ -38,7 +41,7 @@
 %dir %_runtimedir/MBM
 %_initdir/*
 %_sysconfdir/pm/sleep.d/*
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 %_sysconfdir/dbus-1/system.d/
 %_sysconfdir/mbm-gpsd.conf
 %_bindir/*
--- a/nspec.spec	2019-02-23 06:29:49.022289076 +0300
+++ b/nspec.spec	2019-02-23 06:29:49.025289038 +0300
@@ -52,7 +52,7 @@
 make -f Makefile.linux
 
 %install
-install -D -m0644 lib/linux/nst-udev.rules %buildroot/%_sysconfdir/udev/rules.d/99-nst.rules
+install -D -m0644 lib/linux/nst-udev.rules %buildroot/%_udevrulesdir/99-nst.rules
 install -D -m0644 lib/linux/99-shuttle_ignore_xorg.conf %buildroot/%_sysconfdir/X11/xorg.conf.d/99-shuttle_ignore_xorg.conf
 install -m 755 -d %buildroot/%_bindir/
 install -m 755 -d %buildroot/%_pixmapsdir/
@@ -75,7 +75,7 @@
 %files
 %_bindir/%name
 %_desktopdir/%name.desktop
-%_sysconfdir/udev/rules.d/99-nst.rules
+%_udevrulesdir/99-nst.rules
 %_sysconfdir/X11/xorg.conf.d/99-shuttle_ignore_xorg.conf
 %_pixmapsdir/%name.svg
 %_datadir/mime/packages/%name.xml
--- a/openocd.spec	2019-02-23 06:29:52.806242859 +0300
+++ b/openocd.spec	2019-02-23 06:29:52.808242834 +0300
@@ -69,17 +69,17 @@
 %install
 %makeinstall_std
 #chrpath --delete %buildroot/%_bindir/openocd
-mkdir -p %buildroot%_sysconfdir/udev/rules.d/
+mkdir -p %buildroot%_udevrulesdir/
 install -m644 \
 	contrib/*.rules \
 	src/jtag/drivers/libjaylink/contrib/*.rules \
-	%buildroot%_sysconfdir/udev/rules.d/
+	%buildroot%_udevrulesdir/
 
 %files
 %doc AUTHORS BUGS ChangeLog HACKING NEWS* NEWTAPS
 %doc README TODO
 %doc %_datadir/%name/contrib
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 %dir %_datadir/%name
 %_datadir/%name/scripts
 %_datadir/%name/OpenULINK
--- a/perfctr.spec	2019-02-23 06:29:53.946228936 +0300
+++ b/perfctr.spec	2019-02-23 06:29:53.948228911 +0300
@@ -69,6 +69,9 @@
 	%buildroot%_includedir/asm_%name.h
 sed -i 's|asm/%name.h|asm_%name.h|' \
 	%buildroot%_includedir/%name.h
+# sysconf/udev policy - /etc is for user
+mkdir -p %buildroot%_udevrulesdir/
+mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%_udevrulesdir/
 
 %post
 %post_service %name
@@ -79,7 +82,7 @@
 %files
 %_bindir/perfex
 %config %_initdir/perfctr
-%config %_sysconfdir/udev/rules.d/*perfctr.rules
+%config %_udevrulesdir/*perfctr.rules
 
 %doc README CHANGES TODO OTHER
 
--- a/pilot-link.spec	2019-02-23 06:30:02.143128821 +0300
+++ b/pilot-link.spec	2019-02-23 06:30:02.148128759 +0300
@@ -125,8 +125,8 @@
 %make_install DESTDIR=%buildroot install
 # mandir1='$(mandir)/man1' mandir7='$(mandir)/man7' INSTALL="./libtool /usr/bin/install -p"
 
-mkdir -p %buildroot%_sysconfdir/udev/rules.d
-install -p -m644 doc/60-libpisock.rules %buildroot%_sysconfdir/udev/rules.d/75-lib%name.rules
+mkdir -p %buildroot%_udevrulesdir
+install -p -m644 doc/60-libpisock.rules %buildroot%_udevrulesdir/75-lib%name.rules
 
 %files
 %_bindir/pilot-*
@@ -138,7 +138,7 @@
 %doc AUTHORS NEWS doc/*
 
 %files -n lib%name
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 %_libdir/libpisock.so.*
 %_libdir/libpisync.so.*
 %if_with tcl
--- a/pve-qemu.spec	2019-02-23 06:30:07.107068191 +0300
+++ b/pve-qemu.spec	2019-02-23 06:30:07.115068094 +0300
@@ -431,9 +431,9 @@
 install -m 0755 vma %buildroot%_bindir/vma
 
 rm -f %buildroot%_bindir/check-*
-rm -f %buildroot%_sysconfdir/udev/rules.d/*
+rm -f %buildroot%_udevrulesdir/*
 
-install -D -m 0644 %SOURCE4 %buildroot%_sysconfdir/udev/rules.d/%rulenum-%rname-kvm.rules
+install -D -m 0644 %SOURCE4 %buildroot%_udevrulesdir/%rulenum-%rname-kvm.rules
 install -D -m 0755 %rname-kvm.control.in %buildroot%_controldir/kvm
 
 %if_enabled vnc_sasl
@@ -494,7 +494,7 @@
 %_datadir/pve-edk2-firmware
 %_man1dir/qemu*
 %_man8dir/qemu*
-%_sysconfdir/udev/rules.d/%rulenum-%rname-kvm.rules
+%_udevrulesdir/%rulenum-%rname-kvm.rules
 %_controldir/*
 %if_enabled vnc_sasl
 %config(noreplace) %_sysconfdir/sasl2/%rname.conf
--- a/qemu.spec	2019-02-23 06:30:13.059995483 +0300
+++ b/qemu.spec	2019-02-23 06:30:13.520989853 +0300
@@ -1228,9 +1228,9 @@
 %endif
 
 rm -f %buildroot%_bindir/check-*
-rm -f %buildroot%_sysconfdir/udev/rules.d/*
+rm -f %buildroot%_udevrulesdir/*
 
-install -D -m 0644 %SOURCE4 %buildroot%_sysconfdir/udev/rules.d/%rulenum-%name-kvm.rules
+install -D -m 0644 %SOURCE4 %buildroot%_udevrulesdir/%rulenum-%name-kvm.rules
 install -D -m 0755 %name-kvm.control.in %buildroot%_controldir/kvm
 
 install -D -m 0644 %SOURCE8 %buildroot/lib/udev/rules.d/%rulenum-%name-guest-agent.rules
@@ -1374,7 +1374,7 @@
 %_datadir/%name/*.bmp
 %_datadir/%name/*.svg
 %_man1dir/%name.1*
-%_sysconfdir/udev/rules.d/%rulenum-%name-kvm.rules
+%_udevrulesdir/%rulenum-%name-kvm.rules
 %_controldir/*
 %if_enabled vnc_sasl
 %config(noreplace) %_sysconfdir/sasl2/%name.conf
--- a/sispmctl.spec	2019-02-23 06:30:19.799913164 +0300
+++ b/sispmctl.spec	2019-02-23 06:30:19.800913151 +0300
@@ -31,12 +31,12 @@
 
 %install
 %makeinstall
-install -pDm644 %SOURCE1 %buildroot%_sysconfdir/udev/rules.d/74-sispmctl.rules
+install -pDm644 %SOURCE1 %buildroot%_udevrulesdir/74-sispmctl.rules
 
 %files
 %_bindir/*
 %_man1dir/*
-%config(noreplace) %_sysconfdir/udev/rules.d/74-sispmctl.rules
+%config(noreplace) %_udevrulesdir/74-sispmctl.rules
 %doc AUTHORS ChangeLog README
 
 %pre
--- a/systemd.spec	2019-02-23 06:30:22.219817616 +0300
+++ b/systemd.spec	2019-02-23 06:30:22.377768119 +0300
@@ -913,7 +913,7 @@
 
 echo ".so man8/systemd-udevd.8" > %buildroot%_man8dir/udevd.8
 
-install -p -m644 %SOURCE31 %buildroot%_sysconfdir/udev/rules.d/
+install -p -m644 %SOURCE31 %buildroot%_udevrulesdir/
 
 # https://bugzilla.redhat.com/show_bug.cgi?id=1378974
 install -D -m644 -t %buildroot%_unitdir/systemd-udev-trigger.service.d/ %SOURCE10
@@ -1776,8 +1776,8 @@
 /lib/udev/rules.d/78-sound-card.rules
 
 %files -n udev-rules
-%dir %_sysconfdir/udev/rules.d
-%config(noreplace) %_sysconfdir/udev/rules.d/*
+%dir %_udevrulesdir
+%config(noreplace) %_udevrulesdir/*
 /lib/udev/initramfs-rules.d
 /lib/udev/rules.d
 
--- a/tunctl.spec	2019-02-23 06:30:24.307556908 +0300
+++ b/tunctl.spec	2019-02-23 06:30:24.308556896 +0300
@@ -25,7 +25,7 @@
 make CFLAGS="%optflags"
 
 %install
-install -pm0644 -D tun.rules %buildroot%_sysconfdir/udev/rules.d/90-tun.rules
+install -pm0644 -D tun.rules %buildroot%_udevrulesdir/90-tun.rules
 install -pm0755 -D %name %buildroot%_sbindir/%name
 install -pm0644 -D %name.8 %buildroot%_man8dir/%name.8
 
@@ -33,7 +33,7 @@
 /usr/sbin/groupadd -r -f tun &>/dev/null
 
 %files
-%_sysconfdir/udev/rules.d/90-tun.rules
+%_udevrulesdir/90-tun.rules
 %_sbindir/%name
 %_man8dir/%name.8*
 
--- a/twofing.spec	2019-02-23 06:30:24.369556147 +0300
+++ b/twofing.spec	2019-02-23 06:30:24.370556134 +0300
@@ -31,14 +31,14 @@
 
 %install
 mkdir -p %buildroot/%_bindir
-mkdir -p %buildroot/%_sysconfdir/udev/rules.d/
+mkdir -p %buildroot/%_udevrulesdir/
 %make DESTDIR=%buildroot install
 mkdir -p %buildroot/%_sysconfdir/xdg/autostart/
 install -m0644 %name.desktop %buildroot/%_sysconfdir/xdg/autostart/
 
 %files
 %_bindir/*
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 %_sysconfdir/xdg/autostart/*
 
 %changelog
--- a/udev-rule-generator.spec	2019-02-23 06:30:24.591553422 +0300
+++ b/udev-rule-generator.spec	2019-02-23 06:30:24.593553398 +0300
@@ -51,8 +51,8 @@
 install -p -m644 udevd-final.service %buildroot%_unitdir/udevd-final.service
 
 # Create ghost files
-touch %buildroot%_sysconfdir/udev/rules.d/70-persistent-net.rules
-touch %buildroot%_sysconfdir/udev/rules.d/70-persistent-cd.rules
+touch %buildroot%_udevrulesdir/70-persistent-net.rules
+touch %buildroot%_udevrulesdir/70-persistent-cd.rules
 
 # udev rule generator
 install -p -m644 rule_generator.functions %buildroot/lib/udev/
@@ -60,7 +60,7 @@
 install -p -m644 75-persistent-net-generator.rules %buildroot/lib/udev/rules.d/
 install -p -m755 write_cd_rules %buildroot/lib/udev/
 install -p -m644 75-cd-aliases-generator.rules %buildroot/lib/udev/rules.d/
-ln -s /dev/null %buildroot%_sysconfdir/udev/rules.d/80-net-setup-link.rules
+ln -s /dev/null %buildroot%_udevrulesdir/80-net-setup-link.rules
 
 %preun
 %preun_service udevd-final
@@ -77,7 +77,7 @@
 %_unitdir/udevd-final.service
 
 %files cdrom
-%config(noreplace,missingok) %verify(not md5 size mtime) %ghost %_sysconfdir/udev/rules.d/70-persistent-cd.rules
+%config(noreplace,missingok) %verify(not md5 size mtime) %ghost %_udevrulesdir/70-persistent-cd.rules
 /lib/udev/rules.d/75-cd-aliases-generator.rules
 /lib/udev/write_cd_rules
 
--- a/udev-rule-generator.spec	2019-02-23 06:30:24.593553398 +0300
+++ b/udev-rule-generator.spec	2019-02-23 06:30:24.622553042 +0300
@@ -61,6 +61,9 @@
 install -p -m755 write_cd_rules %buildroot/lib/udev/
 install -p -m644 75-cd-aliases-generator.rules %buildroot/lib/udev/rules.d/
 ln -s /dev/null %buildroot%_udevrulesdir/80-net-setup-link.rules
+# sysconf/udev policy - /etc is for user
+mkdir -p %buildroot%_udevrulesdir/
+mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%_udevrulesdir/
 
 %preun
 %preun_service udevd-final
@@ -82,8 +85,8 @@
 /lib/udev/write_cd_rules
 
 %files net
-%config(noreplace,missingok) %verify(not md5 size mtime) %ghost %_sysconfdir/udev/rules.d/70-persistent-net.rules
-%_sysconfdir/udev/rules.d/80-net-setup-link.rules
+%config(noreplace,missingok) %verify(not md5 size mtime) %ghost %_udevrulesdir/70-persistent-net.rules
+%_udevrulesdir/80-net-setup-link.rules
 /lib/udev/rules.d/75-persistent-net-generator.rules
 /lib/udev/write_net_rules
 
--- a/udisks2.spec	2019-02-23 06:30:24.694552158 +0300
+++ b/udisks2.spec	2019-02-23 06:30:24.697552122 +0300
@@ -128,8 +128,8 @@
 touch %buildroot%_localstatedir/lib/%name/mtab
 
 # use /media for mounting by default
-mkdir -p %buildroot%_sysconfdir/udev/rules.d
-cat > %buildroot%_sysconfdir/udev/rules.d/99-alt-%name-media-mount-point.rules <<_EOF_
+mkdir -p %buildroot%_udevrulesdir
+cat > %buildroot%_udevrulesdir/99-alt-%name-media-mount-point.rules <<_EOF_
 ENV{ID_FS_USAGE}=="filesystem|other|crypto", ENV{UDISKS_FILESYSTEM_SHARED}="0"
 _EOF_
 
@@ -154,7 +154,7 @@
 %_bindir/udisksctl
 /lib/udev/rules.d/80-%name.rules
 %config(noreplace) %_sysconfdir/%name/%name.conf
-%_sysconfdir/udev/rules.d/99-alt-%name-media-mount-point.rules
+%_udevrulesdir/99-alt-%name-media-mount-point.rules
 %dir %_libexecdir/%name
 %_libexecdir/%name/udisksd
 %_datadir/polkit-1/actions/org.freedesktop.UDisks2.policy
--- a/voiceman-media.spec	2019-02-23 06:30:25.338544254 +0300
+++ b/voiceman-media.spec	2019-02-23 06:30:25.339544242 +0300
@@ -18,12 +18,12 @@
 %prep
 %setup -q
 %install
-%__install -pD -m 644 voiceman-media.rules %buildroot%_sysconfdir/udev/rules.d/50-voiceman-media.rules
+%__install -pD -m 644 voiceman-media.rules %buildroot%_udevrulesdir/50-voiceman-media.rules
 %__install -pD -m 755 %name %buildroot%_bindir/%name
 %__install -pD -m 644 media.ogg %buildroot%_datadir/sounds/voiceman/media.ogg
 
 %files
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 %_bindir/*
 %_datadir/sounds/voiceman/*
 
--- a/voiceman-media-ru.spec	2019-02-23 06:30:25.422543223 +0300
+++ b/voiceman-media-ru.spec	2019-02-23 06:30:25.423543210 +0300
@@ -18,12 +18,12 @@
 %prep
 %setup -q
 %install
-%__install -pD -m 644 %name.rules %buildroot%_sysconfdir/udev/rules.d/50-%name.rules
+%__install -pD -m 644 %name.rules %buildroot%_udevrulesdir/50-%name.rules
 %__install -pD -m 755 %name %buildroot%_bindir/%name
 %__install -pD -m 644 media.ogg %buildroot%_datadir/sounds/voiceman/media.ogg
 
 %files
-%_sysconfdir/udev/rules.d/*
+%_udevrulesdir/*
 %_bindir/*
 %_datadir/sounds/voiceman/*
 
--- a/vzctl.spec	2019-02-23 06:30:25.676540106 +0300
+++ b/vzctl.spec	2019-02-23 06:30:25.678540081 +0300
@@ -60,6 +60,9 @@
 chmod 3770 %buildroot/var/lib/vz/template/cache
 
 touch %buildroot/etc/sysconfig/vzeventd
+# sysconf/udev policy - /etc is for user
+mkdir -p %buildroot%_udevrulesdir/
+mv %buildroot%_sysconfdir/udev/rules.d/* %buildroot%_udevrulesdir/
 
 %pre
 /usr/sbin/groupadd -r -f _vzctl
@@ -124,7 +127,7 @@
 %config %_pkgconfdir/dists
 %config /etc/sysconfig/network-scripts/*
 %config /etc/net/*/*
-%config /etc/udev/rules.d/*
+%config %_udevrulesdir/*
 %config /etc/bash_completion.d/*
 
 %defattr(-,root,_vzctl,-)
--- a/xorg-drv-wacom.spec	2019-02-23 06:30:26.551529366 +0300
+++ b/xorg-drv-wacom.spec	2019-02-23 06:30:26.552529354 +0300
@@ -43,13 +43,13 @@
 %install
 %make DESTDIR=%buildroot install
 install -pD -m644 conf/10-wacom.rules \
-	%buildroot%_sysconfdir/udev/rules.d/10-wacom.rules
+	%buildroot%_udevrulesdir/10-wacom.rules
 
 %files
 %_bindir/xsetwacom
 %_x11modulesdir/input/*.so
 %_xorgsysconfigdir/*.conf
-%_sysconfdir/udev/rules.d/10-wacom.rules
+%_udevrulesdir/10-wacom.rules
 %_man1dir/*.1*
 %_man4dir/*.4*
 
